<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pw@400090=0009</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time (Final Level)">
    <script state="run">
      <action>maincpu.pb@409C5B=AA</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>You can still die from falling or by being crashed by elevators, so use with the Infinite Lives cheat.</comment>
    <script state="on">
      <action>temp0 =maincpu.mw@0BED74</action>
      <action>temp1 =maincpu.mw@0BED88</action>
    </script>
    <script state="run">
      <action>maincpu.mw@0BED74=6002</action>
      <action>maincpu.mw@0BED88=0000</action>
    </script>
    <script state="off">
      <action>maincpu.mw@0BED74=temp0 </action>
      <action>maincpu.mw@0BED88=temp1 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pw@40780E=0009</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1"> <comment>Select Infinite Male Energy for Male Characters or Infinite Female Energy for Female Characters</comment>
    <parameter>
      <item value="0x00030000">Infinite Male Energy</item>
      <item value="0x00028000">Infinite Female Energy</item>
    </parameter>
    <script state="run">
      <action>maincpu.pd@407810=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pw@4078C4=0063</action>
    </script>
  </cheat>

  <!--  :elvact2u:00100000:407FE8:00000002:FFFFFFFF:Invincibility PL1:You can still get crushed by elevators though -->

  <cheat desc="Infinite Ammo PL1"> <comment>Used when you have the 'M' or 'L' weapons</comment>
    <script state="run">
      <action>maincpu.pw@407872=03E7</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">'M'</item>
      <item value="0x02">'L'</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@407871=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pw@4080EA=0009</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2"> <comment>Select Infinite Male Energy for Male Characters or Infinite Female Energy for Female Characters</comment>
    <parameter>
      <item value="0x00030000">Infinite Male Energy</item>
      <item value="0x00028000">Infinite Female Energy</item>
    </parameter>
    <script state="run">
      <action>maincpu.pd@4080EC=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pw@4081A0=0063</action>
    </script>
  </cheat>

  <!--  :elvact2u:00100000:4088C4:00000002:FFFFFFFF:Invincibility PL2:You can still get crushed by elevators though -->

  <cheat desc="Infinite Ammo PL2"> <comment>Used when you have the 'M' or 'L' weapons</comment>
    <script state="run">
      <action>maincpu.pw@40814E=03E7</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">'M'</item>
      <item value="0x02">'L'</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@40814D=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Region"> <comment>After you enable this cheat to see any effect you will have to reset the game (F3). Then you may have to turn the Test Mode ON (F2), wait for Test Mode to appear and reset again(F3).</comment>
    <parameter>
      <item value="0x01">Japan</item>
      <item value="0x02">US</item>
      <item value="0x03">World</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.mb@1FFFFF</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1FFFFF=param</action>
    </script>
    <script state="off">
      <action>maincpu.mb@1FFFFF=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
